import type { ClassListName } from '../_interface';
import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, Ref, ComputedRef, CSSProperties, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import checkbox from "./src/checkbox";
export declare const DkCheckbox: Install<DefineComponent<{
    modelValue: returnType<BooleanConstructor, boolean>;
    indeterminate: returnType<BooleanConstructor, boolean>;
    disabled: returnType<BooleanConstructor, boolean>;
    size: returnType<PropType<string>, string | null>;
    checkedLabel: returnType<PropType<string>, string | null>;
    uncheckedLabel: returnType<PropType<string>, string | null>;
    border: returnType<BooleanConstructor, boolean>;
    label: returnType<PropType<string>, string | null>;
    value: returnType<PropType<string>, string | null>;
}, {
    labelValue: Ref<string>;
    isCheckLabel: string;
    checkedLabel: string;
    uncheckedLabel: string;
    label: string;
    value: string;
    hasSlot: boolean;
    modelValue: Ref<boolean>;
    change: (e: Event) => void;
    classList: ComputedRef<ClassListName>;
    styleList: CSSProperties;
    checkbox: Ref<HTMLInputElement | undefined>;
    checkedClass: Ref<string>;
    indeterminate: Ref<boolean>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:modelValue" | "change" | "detail-change")[], "update:modelValue" | "change" | "detail-change", PublicProps, Readonly<ExtractPropTypes<{
    modelValue: returnType<BooleanConstructor, boolean>;
    indeterminate: returnType<BooleanConstructor, boolean>;
    disabled: returnType<BooleanConstructor, boolean>;
    size: returnType<PropType<string>, string | null>;
    checkedLabel: returnType<PropType<string>, string | null>;
    uncheckedLabel: returnType<PropType<string>, string | null>;
    border: returnType<BooleanConstructor, boolean>;
    label: returnType<PropType<string>, string | null>;
    value: returnType<PropType<string>, string | null>;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onDetail-change"?: ((...args: any[]) => any) | undefined;
}, {
    size: string;
    disabled: boolean;
    border: boolean;
    modelValue: boolean;
    value: string;
    indeterminate: boolean;
    checkedLabel: string;
    uncheckedLabel: string;
    label: string;
}, {}>>;
export type dkCheckboxInterface = InstanceType<typeof checkbox>;
export default DkCheckbox;
