import type { dkInputStatusType, dkInputPersonalityType, DkPlusAlign, KeyboardEventType, MouseEventType, dkInputType, dkPlusSize } from '../_interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install, returnType } from '../_utils';
import input from "./src/input";
export declare const DkInput: Install<DefineComponent<{
    readonly status: returnType<PropType<dkInputStatusType>, dkInputStatusType | null>;
    readonly labelText: returnType<PropType<string>, string | null>;
    readonly personalityType: returnType<PropType<dkInputPersonalityType>, dkInputPersonalityType | null>;
    readonly personality: returnType<BooleanConstructor, boolean>;
    readonly border: returnType<PropType<string>, string | null>;
    readonly align: returnType<PropType<DkPlusAlign>, DkPlusAlign | null>;
    readonly onEnter: returnType<PropType<KeyboardEventType>, KeyboardEventType | undefined>;
    readonly onPrependClick: returnType<PropType<MouseEventType>, MouseEventType | undefined>;
    readonly onAppendClick: returnType<PropType<MouseEventType>, MouseEventType | undefined>;
    readonly iconSize: returnType<PropType<string | number>, string | number | null>;
    readonly textColor: returnType<PropType<string>, string | null>;
    readonly borderRadius: returnType<PropType<string | number>, string | number | null>;
    readonly fontSize: returnType<PropType<string | number>, string | number | null>;
    readonly width: returnType<PropType<string | number>, string | number | null>;
    readonly height: returnType<PropType<string | number>, string | number | null>;
    readonly borderColor: returnType<PropType<string>, string | null>;
    readonly focusBorderColor: returnType<PropType<string>, string | null>;
    readonly hoverBorderColor: returnType<PropType<string>, string | null>;
    readonly showPassword: returnType<BooleanConstructor, boolean>;
    readonly prependText: returnType<PropType<string>, string | null>;
    readonly appendText: returnType<PropType<string>, string | null>;
    readonly prependIcon: returnType<PropType<string>, string | null>;
    readonly appendIcon: returnType<PropType<string>, string | null>;
    readonly appendBackground: returnType<PropType<string>, string | null>;
    readonly appendColor: returnType<PropType<string>, string | null>;
    readonly modelValue: returnType<PropType<string | number>, string | number | null>;
    readonly type: returnType<PropType<dkInputType>, dkInputType | null>;
    readonly size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    readonly disabled: returnType<BooleanConstructor, boolean>;
    readonly clearable: returnType<BooleanConstructor, boolean>;
    readonly readonly: returnType<BooleanConstructor, boolean>;
    readonly placeholder: returnType<PropType<string>, string | null>;
    readonly showLengthLimit: returnType<BooleanConstructor, boolean>;
    readonly maxlength: returnType<PropType<string>, string | null>;
    readonly minlength: returnType<PropType<string>, string | null>;
    readonly showWordLimit: returnType<BooleanConstructor, boolean>;
    readonly prefixIcon: returnType<PropType<string>, string | null>;
    readonly suffixIcon: returnType<PropType<string>, string | null>;
    readonly rows: returnType<PropType<string | number>, string | number | null>;
    readonly maxRows: returnType<PropType<string | number>, string | number | null>;
    readonly autosize: returnType<BooleanConstructor, boolean>;
    readonly showLength: returnType<BooleanConstructor, boolean>;
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, string[], string, PublicProps, Readonly<ExtractPropTypes<{
    readonly status: returnType<PropType<dkInputStatusType>, dkInputStatusType | null>;
    readonly labelText: returnType<PropType<string>, string | null>;
    readonly personalityType: returnType<PropType<dkInputPersonalityType>, dkInputPersonalityType | null>;
    readonly personality: returnType<BooleanConstructor, boolean>;
    readonly border: returnType<PropType<string>, string | null>;
    readonly align: returnType<PropType<DkPlusAlign>, DkPlusAlign | null>;
    readonly onEnter: returnType<PropType<KeyboardEventType>, KeyboardEventType | undefined>;
    readonly onPrependClick: returnType<PropType<MouseEventType>, MouseEventType | undefined>;
    readonly onAppendClick: returnType<PropType<MouseEventType>, MouseEventType | undefined>;
    readonly iconSize: returnType<PropType<string | number>, string | number | null>;
    readonly textColor: returnType<PropType<string>, string | null>;
    readonly borderRadius: returnType<PropType<string | number>, string | number | null>;
    readonly fontSize: returnType<PropType<string | number>, string | number | null>;
    readonly width: returnType<PropType<string | number>, string | number | null>;
    readonly height: returnType<PropType<string | number>, string | number | null>;
    readonly borderColor: returnType<PropType<string>, string | null>;
    readonly focusBorderColor: returnType<PropType<string>, string | null>;
    readonly hoverBorderColor: returnType<PropType<string>, string | null>;
    readonly showPassword: returnType<BooleanConstructor, boolean>;
    readonly prependText: returnType<PropType<string>, string | null>;
    readonly appendText: returnType<PropType<string>, string | null>;
    readonly prependIcon: returnType<PropType<string>, string | null>;
    readonly appendIcon: returnType<PropType<string>, string | null>;
    readonly appendBackground: returnType<PropType<string>, string | null>;
    readonly appendColor: returnType<PropType<string>, string | null>;
    readonly modelValue: returnType<PropType<string | number>, string | number | null>;
    readonly type: returnType<PropType<dkInputType>, dkInputType | null>;
    readonly size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    readonly disabled: returnType<BooleanConstructor, boolean>;
    readonly clearable: returnType<BooleanConstructor, boolean>;
    readonly readonly: returnType<BooleanConstructor, boolean>;
    readonly placeholder: returnType<PropType<string>, string | null>;
    readonly showLengthLimit: returnType<BooleanConstructor, boolean>;
    readonly maxlength: returnType<PropType<string>, string | null>;
    readonly minlength: returnType<PropType<string>, string | null>;
    readonly showWordLimit: returnType<BooleanConstructor, boolean>;
    readonly prefixIcon: returnType<PropType<string>, string | null>;
    readonly suffixIcon: returnType<PropType<string>, string | null>;
    readonly rows: returnType<PropType<string | number>, string | number | null>;
    readonly maxRows: returnType<PropType<string | number>, string | number | null>;
    readonly autosize: returnType<BooleanConstructor, boolean>;
    readonly showLength: returnType<BooleanConstructor, boolean>;
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    readonly size: dkPlusSize;
    readonly type: dkInputType;
    readonly fontSize: string | number;
    readonly disabled: boolean;
    readonly personality: boolean;
    readonly personalityType: dkInputPersonalityType;
    readonly width: string | number;
    readonly height: string | number;
    readonly borderRadius: string | number;
    readonly status: dkInputStatusType;
    readonly labelText: string;
    readonly border: string;
    readonly align: DkPlusAlign;
    readonly onEnter: KeyboardEventType;
    readonly onPrependClick: MouseEventType;
    readonly onAppendClick: MouseEventType;
    readonly iconSize: string | number;
    readonly textColor: string;
    readonly borderColor: string;
    readonly focusBorderColor: string;
    readonly hoverBorderColor: string;
    readonly showPassword: boolean;
    readonly prependText: string;
    readonly appendText: string;
    readonly prependIcon: string;
    readonly appendIcon: string;
    readonly appendBackground: string;
    readonly appendColor: string;
    readonly modelValue: string | number;
    readonly clearable: boolean;
    readonly readonly: boolean;
    readonly placeholder: string;
    readonly showLengthLimit: boolean;
    readonly maxlength: string;
    readonly minlength: string;
    readonly showWordLimit: boolean;
    readonly prefixIcon: string;
    readonly suffixIcon: string;
    readonly rows: string | number;
    readonly maxRows: string | number;
    readonly autosize: boolean;
    readonly showLength: boolean;
}, {}>>;
export type inputInstance = InstanceType<typeof input>;
export default DkInput;
