import type { returnType } from '../../_utils';
import type { PropType, ExtractPropTypes } from 'vue';
import type { DkPlusAlign } from '../../_interface';
import type { dkPlusSize, dkInputType, MouseEventType, KeyboardEventType, dkInputPersonalityType, dkInputStatusType } from '../../_interface';
export declare const dkInputProps: {
    readonly status: returnType<PropType<dkInputStatusType>, dkInputStatusType | null>;
    readonly labelText: returnType<PropType<string>, string | null>;
    readonly personalityType: returnType<PropType<dkInputPersonalityType>, dkInputPersonalityType | null>;
    readonly personality: returnType<BooleanConstructor, boolean>;
    readonly border: returnType<PropType<string>, string | null>;
    readonly align: returnType<PropType<DkPlusAlign>, DkPlusAlign | null>;
    readonly onEnter: returnType<PropType<KeyboardEventType>, KeyboardEventType | undefined>;
    readonly onPrependClick: returnType<PropType<MouseEventType>, MouseEventType | undefined>;
    readonly onAppendClick: returnType<PropType<MouseEventType>, MouseEventType | undefined>;
    readonly iconSize: returnType<PropType<string | number>, string | number | null>;
    readonly textColor: returnType<PropType<string>, string | null>;
    readonly borderRadius: returnType<PropType<string | number>, string | number | null>;
    readonly fontSize: returnType<PropType<string | number>, string | number | null>;
    readonly width: returnType<PropType<string | number>, string | number | null>;
    readonly height: returnType<PropType<string | number>, string | number | null>;
    readonly borderColor: returnType<PropType<string>, string | null>;
    readonly focusBorderColor: returnType<PropType<string>, string | null>;
    readonly hoverBorderColor: returnType<PropType<string>, string | null>;
    readonly showPassword: returnType<BooleanConstructor, boolean>;
    readonly prependText: returnType<PropType<string>, string | null>;
    readonly appendText: returnType<PropType<string>, string | null>;
    readonly prependIcon: returnType<PropType<string>, string | null>;
    readonly appendIcon: returnType<PropType<string>, string | null>;
    readonly appendBackground: returnType<PropType<string>, string | null>;
    readonly appendColor: returnType<PropType<string>, string | null>;
    readonly modelValue: returnType<PropType<string | number>, string | number | null>;
    readonly type: returnType<PropType<dkInputType>, dkInputType | null>;
    readonly size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    readonly disabled: returnType<BooleanConstructor, boolean>;
    readonly clearable: returnType<BooleanConstructor, boolean>;
    readonly readonly: returnType<BooleanConstructor, boolean>;
    readonly placeholder: returnType<PropType<string>, string | null>;
    readonly showLengthLimit: returnType<BooleanConstructor, boolean>;
    readonly maxlength: returnType<PropType<string>, string | null>;
    readonly minlength: returnType<PropType<string>, string | null>;
    readonly showWordLimit: returnType<BooleanConstructor, boolean>;
    readonly prefixIcon: returnType<PropType<string>, string | null>;
    readonly suffixIcon: returnType<PropType<string>, string | null>;
    readonly rows: returnType<PropType<string | number>, string | number | null>;
    readonly maxRows: returnType<PropType<string | number>, string | number | null>;
    readonly autosize: returnType<BooleanConstructor, boolean>;
    readonly showLength: returnType<BooleanConstructor, boolean>;
};
export type DkInputProps = ExtractPropTypes<typeof dkInputProps>;
