import type { dkPlusSize, ClassListName } from '../_interface';
import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, ComputedRef, CSSProperties, Ref, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import radio from "./src/radio";
export declare const DkRadio: Install<DefineComponent<{
    modelValue: returnType<PropType<string>, string | null>;
    disabled: returnType<BooleanConstructor, boolean>;
    name: returnType<PropType<string>, string | null>;
    label: returnType<PropType<string>, string | null>;
    size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    checkedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    uncheckedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    border: returnType<BooleanConstructor, boolean>;
}, {
    classList: ComputedRef<ClassListName>;
    styleList: CSSProperties;
    handleChange: () => void;
    name: Ref<string>;
    check: Ref<string>;
    disabled: Ref<boolean>;
    label: Ref<string>;
    radio: Ref<HTMLInputElement | undefined>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:modelValue" | "change")[], "update:modelValue" | "change", PublicProps, Readonly<ExtractPropTypes<{
    modelValue: returnType<PropType<string>, string | null>;
    disabled: returnType<BooleanConstructor, boolean>;
    name: returnType<PropType<string>, string | null>;
    label: returnType<PropType<string>, string | null>;
    size: returnType<PropType<dkPlusSize>, dkPlusSize | null>;
    checkedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    uncheckedColor: {
        type: StringConstructor;
        default: () => string | null;
    };
    border: returnType<BooleanConstructor, boolean>;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    size: dkPlusSize;
    name: string;
    disabled: boolean;
    border: boolean;
    modelValue: string;
    label: string;
    checkedColor: string;
    uncheckedColor: string;
}, {}>>;
export type radioInstance = InstanceType<typeof radio>;
