import type { ClassListName } from '../_interface';
import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, Ref, CSSProperties, ComputedRef, ComponentOptionsMixin, PublicProps, ExtractPropTypes, Directive } from 'vue';
import type { Install } from '../_utils/withInstall';
import scrollbar from "./src/scrollBar";
export declare const DkScrollbar: Install<DefineComponent<{
    width: returnType<PropType<string>, string | null>;
    height: returnType<PropType<string>, string | null>;
    barWidth: returnType<PropType<string>, string | null>;
    thumbRadius: returnType<PropType<string>, string | null>;
    trackColor: returnType<PropType<string>, string | null>;
    thumbColor: returnType<PropType<string>, string | null>;
}, {
    scrollBarStyle: Ref<CSSProperties>;
    transition: Ref<(step: number, init: number) => void>;
    handleScrollChange: Ref<(evt: Event) => void>;
    classList: ComputedRef<ClassListName>;
    styleList: CSSProperties;
    wrapperClassList: ComputedRef<ClassListName>;
    width: string;
    height: string;
    barWidth: string;
    thumbRadius: string;
    trackColor: string;
    thumbColor: string;
    onScroll: ((...args: any[]) => any) | undefined;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "scroll"[], "scroll", PublicProps, Readonly<ExtractPropTypes<{
    width: returnType<PropType<string>, string | null>;
    height: returnType<PropType<string>, string | null>;
    barWidth: returnType<PropType<string>, string | null>;
    thumbRadius: returnType<PropType<string>, string | null>;
    trackColor: returnType<PropType<string>, string | null>;
    thumbColor: returnType<PropType<string>, string | null>;
}>> & {
    onScroll?: ((...args: any[]) => any) | undefined;
}, {
    width: string;
    height: string;
    barWidth: string;
    thumbRadius: string;
    trackColor: string;
    thumbColor: string;
}, {}>>;
export declare const DkScroll: Install<{
    directive: Install<Directive<any, any>>;
}>;
export type scrollbarInstance = InstanceType<typeof scrollbar>;
export default DkScrollbar;
