import type { CSSProperties, ComputedRef, Slots } from 'vue';
import type { DkInputProps } from './../../dkinput/src/props';
import type { DataType, propDataModel } from '../../dkinput/src/type';
import type { dkInputType, ClassListName } from '../../_interface';
export interface getInputGlobalType {
    type?: dkInputType | null;
}
export interface iSGetInputType {
    classList: ComputedRef<ClassListName>;
    styleList: ComputedRef<CSSProperties>;
    wrapperClassList: ComputedRef<ClassListName>;
    innerClassList: ComputedRef<ClassListName>;
    clearableClassList: ComputedRef<ClassListName>;
    pendStyleList: ComputedRef<CSSProperties>;
}
export declare const getInput: (props: DkInputProps) => iSGetInputType;
export declare const getBooleanAnd: (target: boolean[]) => boolean;
export declare const getBooleanOr: (target: boolean[]) => boolean;
export declare const getNull: (target: string | [] | number) => boolean;
export declare const verifyInputType: (typeProp: dkInputType, passwordShowOrHide: boolean) => dkInputType;
export declare const isShowLength: (maxlengthProp: number | string, minlengthProp: number | string, disabledProp: boolean) => boolean;
export declare const getIsClear: (clearable: boolean, disabledProp: boolean, value: dkInputType) => boolean;
export declare const getValue: (value: string | number, prependText: string, prependIcon: string, appendText: string, appendIcon: string) => string;
export declare const getPendValue: (value: string | number, prependText: string, prependIcon: string, appendText: string, appendIcon: string) => string;
export declare const setData: (propData: propDataModel, slots: Slots, inputType: dkInputType) => DataType;
export declare const setPropData: (props: DkInputProps) => propDataModel;
