import type { dkPlusAlertType } from '../_interface';
import type { returnType } from '../_utils/props';
import type { DefineComponent, PropType, Ref, ComputedRef, CSSProperties, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import type { Install } from '../_utils/withInstall';
import alert from "./src/alert";
export declare const DkAlert: Install<DefineComponent<{
    type: returnType<PropType<dkPlusAlertType>, dkPlusAlertType | null>;
    title: returnType<PropType<string>, string | null>;
    description: returnType<PropType<string>, string | null>;
    center: returnType<BooleanConstructor, boolean>;
    closable: returnType<BooleanConstructor, boolean>;
    close: returnType<PropType<Function>, Function | undefined>;
    icon: returnType<PropType<string>, string | null>;
    closeIcon: returnType<PropType<string>, string | null>;
}, {
    dkAlertRef: Ref<HTMLElement | undefined>;
    type: dkPlusAlertType;
    title: Ref<string>;
    description: Ref<string>;
    center: boolean;
    closable: boolean;
    icon: Ref<string>;
    closeIcon: string;
    EventClick: () => void;
    alertVisible: Ref<boolean>;
    onClose: () => void;
    isSuccess: boolean;
    styleList: ComputedRef<CSSProperties>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "close"[], "close", PublicProps, Readonly<ExtractPropTypes<{
    type: returnType<PropType<dkPlusAlertType>, dkPlusAlertType | null>;
    title: returnType<PropType<string>, string | null>;
    description: returnType<PropType<string>, string | null>;
    center: returnType<BooleanConstructor, boolean>;
    closable: returnType<BooleanConstructor, boolean>;
    close: returnType<PropType<Function>, Function | undefined>;
    icon: returnType<PropType<string>, string | null>;
    closeIcon: returnType<PropType<string>, string | null>;
}>> & {
    onClose?: ((...args: any[]) => any) | undefined;
}, {
    type: dkPlusAlertType;
    icon: string;
    center: boolean;
    close: Function;
    title: string;
    description: string;
    closable: boolean;
    closeIcon: string;
}, {}>>;
export type AlertInstance = InstanceType<typeof alert>;
export default DkAlert;
